/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#include "log.hpp"

#include <unistd.h>

#include <cstdarg>
#include <iostream>

void Logger::log(const LogMsgType type, const char *fmt...) {
	va_list args;
	int fd = (type == LogMsgType::ERROR) ? STDERR_FILENO : STDOUT_FILENO;

	va_start(args, fmt);
	vdprintf(fd, fmt, args);
	dprintf(fd, "\n");
	va_end(args);
}

Logger logger;
